Installer - Bug #25909

satellite-installer --upgrade qpid-config returned 1 instead of one of [0]
01/23/2019 11:07 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: Foreman modules
Target version: 1.22.0
Difficulty: Fixed in Releases: 1.22.0
Triaged: Yes Found in Releases:
Bugzilla link: 1665466 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-qpi
d/pull/113,
https://github.com/theforeman/puppet-qpi
d/pull/115
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1665466

Description of problem:
After upgrade from 6.4 | run upgrade once more and hit the following error:

1. satellite-installer --upgrade
Resetting puppet server version param...
Upgrading, to monitor the progress on all related services, please do:
foreman-tail | tee upgrade-$(date +Y-%m-%d-%H%M).log
Upgrade Step: stop_services...
Redirecting to 'foreman-maintain service'
Running Stop Services

Upgrade Step: Running installer...

'gpid-config --ssl-certificate /etc/pki/katello/certs/satellite.example.redhat.com-qpid-broker.crt --ssl-key
/etc/pki/katello/private/satellite.example.redhat.com-gpid-broker.key -b amqps://localhost:5671 add queue katello_event_queue
--durable' returned 1 instead of one of [0]

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/errors.rb:157:in “fail’
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type/exec.rb:164:in “sync'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:236:in “sync'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:134:in “sync_if_needed'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:88:in “block in perform_changes'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/uti/command_line.rb:73:in “execute’
/opt/puppetlabs/puppet/bin/puppet:5:in “<main>'
/Stage[main]/Katello::Qpid/Qpid::Config::Queue[katello_event_queue]/Qpid::Config_cmd[ensure queue
katello_event_queue]/Exec[qpid-config ensure queue katello_event_queue]/returns: change from 'notrun' to ['0'] failed:
'gpid-config --ssl-certificate /etc/pki/katello/certs/satellite.example.redhat.com-gpid-broker.crt --ssl-key
/etc/pki/katello/private/satellite.example.redhat.com-gpid-broker.key -b amqps://localhost:5671 add queue katello_event_queue
--durable' returned 1 instead of one of [0]

Installing Done [100]

Something went wrong! Check the log for ERROR-level output

The full log is at /var/log/foreman-installer/satellite.log

Upgrade failed during the installation phase. Fix the error and re-run the upgrade.

it is described also in upstream
https://community.theforeman.org/t/1-19-1-20-upgrade-fail-add-queue-katello-event-queue-durable-returned-1-instead-of-one-of-0/11

982

it is probably not serious as it does not happen again if you rerun installer one more time
and also it does not happen when you restart services first (foreman-maintain service restart) and then run upgrade

05/18/2024 12



https://bugzilla.redhat.com/show_bug.cgi?id=1665466
https://community.theforeman.org/t/1-19-1-20-upgrade-fail-add-queue-katello-event-queue-durable-returned-1-instead-of-one-of-0/11982
https://community.theforeman.org/t/1-19-1-20-upgrade-fail-add-queue-katello-event-queue-durable-returned-1-instead-of-one-of-0/11982

attaching installer log

Version-Release number of selected component (if applicable):
6.5 snap 10

satellite-6.5.0-5.beta.el7sat.noarch
foreman-1.20.1.3-1.el7sat.noarch
satellite-installer-6.5.0.3-1.beta.el7sat.noarch

Associated revisions

Revision 7534cd90 - 01/25/2019 11:05 AM - Evgeni Golov

Fixes #25909 - make gpidd.service wait until the port is open

gpidd does not open the ssl-port immediately after starting, but after
some initialization happened. Let's make gpidd.service not return until

the port is really open, as otherwise actions depending on the service
being available might fail

History

#1 - 01/23/2019 11:08 AM - Evgeni Golov
- Project changed from Foreman to Installer

- Subject changed from satellite-installer --upgrade gpid-config returned 1 instead of one of [0]
to satellite-installer --upgrade qpid-config returned 1 instead of one of [0]

- Assignee set to Evgeni Golov

#2 - 01/23/2019 12:16 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-qpid/pull/113 added

#3 - 01/25/2019 11:10 AM - Evgeni Golov

- Triaged changed from No to Yes

#4 - 01/25/2019 08:14 PM - Eric Helms
- Status changed from Ready For Testing to Closed

#5 - 01/31/2019 06:26 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-qpid/pull/115 added

#6 - 04/18/2019 04:16 PM - Ewoud Kohl van Wijngaarden
- Category set to Foreman modules
- Target version set to 1.22.0

- Fixed in Releases 1.22.0 added
